GET FILE='d:\d\new_ses\rec1N2.SAV'.



*********************************
* To Classify the level of education.
*********************************.
weight by a34.
DO IF (b06 =1 & b07 >= 10 & B07 <=19).
COMPUTE  pr_priv = 1 .
ELSE.
COMPUTE PR_priv=0.
END IF.

DO IF (b06 =2 & b07 >= 10 & B07 <=19).
  COMPUTE  pr_pub = 1 .
 ELSE. 
 COMPUTE PR_PUB=0.
 END IF.

DO IF (b06 =1 & B07 >=20 & b07<=29).  
COMPUTE  sec_priv = 1 . 
 ELSE.  
COMPUTE sec_Priv=0. 
 END IF.

DO IF (b06 =2 & B07 >=20 & b07<=29).  
COMPUTE  sec_pub = 1 .  
ELSE. 
 COMPUTE sec_Pub=0.  
END IF.

DO IF (b06 =1 & B07 >=31 & b07<=39).  
COMPUTE  ter_priv = 1 . 
 ELSE. 
 COMPUTE ter_Priv=0.  
END IF.

DO IF (b06 =2 & B07 >=31 & b07<=39). 
 COMPUTE  ter_pub = 1 . 
 ELSE. 
 COMPUTE ter_Pub=0. 
 END IF.

DO IF (b06 =1 & B07 >=40 & b07<=90). 
 COMPUTE  voc_priv = 1 . 
 ELSE.  
COMPUTE voc_Priv=0.  
END IF.

DO IF (b06 =2 & B07 >=40 & b07<=90).  
COMPUTE  voc_pub = 1 . 
ELSE. 
COMPUTE voc_Pub=0. 
END IF.

EXECUTE.



*****************************************.
*Gov. officials's household.
USE ALL.
COMPUTE filter_$=(b09=4 or b09=5).
VARIABLE LABEL filter_$ 'b09=4 or b09=5 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

****************************************************************************************************.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION sec_pub 
  /FTOTAL $t 'Total'
  /TABLES (province + $t) BY ( sec_pub > (STATISTICS) + $t)
  /STATISTICS sum(sec_pub (F5.0)).
*****************************.
* Find the students from Civil Families.
* But find level by level ( Seconadry and Vocational)
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION voc_priv 
  /FTOTAL $t 'Total'
  /TABLES (province > voc_priv + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS sum(voc_priv(F5.2)).




* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region > (sex) + T0000000) > ucost
  BY (quint_e + T0000000) > (STATISTICS)
  /STATISTICS
  sum( ).


****************************************.
* To Compute Net Enrollment ratio. 
* PRIMARY LEVEL, AGEGROUP 6-11 .
****************************************.





weight by a34.


FILTER OFF.
USE ALL.
TEMPORARY.
SELECT IF(b04 >= 6 & b04 <= 11).

* public primary.
**province.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_pub
  /FTOTAL $t 'Total'
  /TABLES (province > pr_pub + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS mean(pr_pub(F5.2)).
weight off.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_pub
  /FTOTAL $t 'Total'
  /TABLES (province > pr_pub + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS sum(pr_pub(F5.0)).


weight by a34.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /FTOTAL $t 'Total'
  /TABLES (province > ucost + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS sum(ucost(F5.0)).




**region.

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_pub
  /FTOTAL $t 'Total'
  /TABLES (region > pr_pub + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS mean(pr_pub(F5.2)).

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_pub
  /FTOTAL $t 'Total'
  /TABLES (region > pr_pub + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS sum(pr_pub(F5.0)).

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /FTOTAL $t 'Total'
  /TABLES (region > ucost + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS sum(ucost(F5.0)).

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /FTOTAL $t 'Total'
  /TABLES (region > ucost + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS  spct( ( F5.1 ) 'Row Sum %':region ).



* private primary.

**province.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_priv
  /FTOTAL $t 'Total'
  /TABLES (province > pr_priv + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS mean(pr_priv(F5.2)).

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_priv
  /FTOTAL $t 'Total'
  /TABLES (province > pr_priv + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS sum(pr_priv(F5.0)).



**region.

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_priv
  /FTOTAL $t 'Total'
  /TABLES (region > pr_priv + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS mean(pr_priv(F5.2)).

TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_priv
  /FTOTAL $t 'Total'
  /TABLES (region > pr_priv + $t) BY (quint_i > (STATISTICS) + $t)
  /STATISTICS sum(pr_priv(F5.0)).


EXECUTE .

***************************************
*To Compute Gross Enrollment Rate.
*primary level & public.
***************************************

IF (b04 >= 6 and b04 <= 11)  age = 1.
IF (b04 < 6 or b04 > 11)  age = 0.

AGGREGATE
   OUTFILE='C:\ses\43\enrol1.SAV'
  /BREAK=province region quint_i
  /pub_pri = SUM(pr_pub).  

AGGREGATE
   OUTFILE='C:\ses\43\enrol2.SAV'
  /BREAK=province region quint_i
  /total = SUM(age)
  /ntotal=n(age).

GET FILE = 'C:\SES\43\enrol1.SAV'.

MATCH FILES TABLE='C:\SES\43\enrol2.sav'   /FILE=* / BY province region quint_i

COMPUTE  GR_PRIM = pub_pri/total.
EXECUTE.



***********************************
*UCOST specification by region.
***********************************

IF (b06 = 9) UCOST = 0 .
IF (b06 = 0) UCOST = 0 .
IF (b06 = 1 & b07 >= 10 & b07 <=19) UCOST = 3393.44.
IF (b06 = 1 & B07 >=20 &  B07 <=29) UCOST = 5377.58 .
IF (b06 = 1 & B07>=31 & B07 <=39) UCOST = 0 .
IF (b06 = 1 & B07>=40 & B07 <=90) UCOST = 0 .

**Bangkok Vicinity**.

IF (region = 1 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15042.38.
IF (region = 1 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 18864.24 .
IF (region = 1 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 69125.38 .
IF (region = 1 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 45976.0 .

**Central**.

IF (region = 2 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 19133.48.
IF (region = 2 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 14133.78.
IF (region = 2 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 24562.97.
IF (region = 2 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 23979.36.

**East**.
IF (region = 3 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15118.21.
IF (region = 3 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12989.22.
IF (region = 3 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 34193.82.
IF (region = 3 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 20208.58.

**West**.
IF (region = 4 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15682.45.
IF (region = 4 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12485.15.
IF (region = 4 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 33119.78.
IF (region = 4 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 22558.09.

**Northeast**.
IF (region = 5 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 12254.84.
IF (region = 5 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8498.52.
IF (region = 5 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 65222.99.
IF (region = 5 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 28331.90.

**North**.
IF (region = 6 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 15118.29.
IF (region = 6 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11003.95.
IF (region = 6 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 76733.07.
IF (region = 6 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 23986.99.

**South**.
IF (region = 7 & b06 = 2 & b07 >= 10 & b07 <=19) UCOST = 12920.52.
IF (region = 7 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12189.68.
IF (region = 7 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 65708.38.
IF (region = 7 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 20607.96.
EXECUTE.



***************************************
* UCOST Specification by province.
***************************************

IF (b06 = 9) UCOST = 0 .
IF (b06 = 0) UCOST = 0 .
IF (b06 = 1 & B07 <=19) UCOST = 3375.71.
IF (b06 = 1 & B07 >=20 &  B07 <=29) UCOST = 5377.58 .
IF (b06 = 1 & B07>=31 & B07 <=39) UCOST = 0 .
IF (b06 = 1 & B07>=40 & B07 <=90) UCOST = 0 .

**Bangkok**.
IF (province = 1 & b06 = 2 & B07 <=19) UCOST = 13427.95.
IF (province = 1 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 19653.62.
IF (province = 1 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 61517.92.

**Nakhon Pathom**.
IF (province = 2 & b06 = 2 & B07 <=19) UCOST = 13500.04.
IF (province = 2 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 13946.71.
IF (province = 2 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 17734.39.

**Nonthaburi**.
IF (province = 3 & b06 = 2 & B07 <=19) UCOST = 15385.03.
IF (province = 3 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 18363.45.
IF (province = 3 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 24663.78.

**Pathum Thani**.
IF (province = 4 & b06 = 2 & B07 <=19) UCOST = 19000.63.
IF (province = 4 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 21893.75.
IF (province = 4 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 22905.76.

**Samut Prakan**.
IF (province = 5 & b06 = 2 & B07 <=19) UCOST = 27977.17.
IF (province = 5 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 20950.49.
IF (province = 5 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 34409.01.

**Samut Sakhon**.
IF (province = 6 & b06 = 2 & B07 <=19) UCOST = 16354.18.
IF (province = 6 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11319.07.
IF (province = 6 & b06 = 2 & B07>=31 & B07 <=39) UCOST = 10152.81.
IF (province = 6 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 30600.24.

**Chai Nat**.
IF (province = 7 & b06 = 2 & B07 <=19) UCOST = 19040.60.
IF (province = 7 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 15385.92.
IF (province = 7 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 20114.98.

**P.N.S.Ayutthaya**.
IF (province = 8 & b06 = 2 & B07 <=19) UCOST = 21424.63.
IF (province = 8 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 17890.51.
IF (province = 8 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 34628.51.

**Lop Buri**.
IF (province = 9 & b06 = 2 & B07 <=19) UCOST = 19701.52.
IF (province = 9 & b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12862.75.
IF (province = 9 & b06 = 2 & B07>=40 & B07 <=90) UCOST = 39831.80.

**Saraburi**.
IF (province = 10  &  b06 = 2 & B07 <=19) UCOST = 15976.65.
IF (province = 10  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12994.72.
IF (province = 10  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 15004.94.

**Sing Buri**.
IF (province = 11  &  b06 = 2 & B07 <=19) UCOST = 18090.88.
IF (province = 11  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 15858.58.
IF (province = 11  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 20553.45.

**Ang Thong**.
IF (province = 12  &  b06 = 2 & B07 <=19) UCOST = 19737.56.
IF (province = 12  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11471.35.
IF (province = 12  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 22102.34.

**Chantha Buri**.
IF (province = 13  &  b06 = 2 & B07 <=19) UCOST = 15364.93.
IF (province = 13  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 16192.98.
IF (province = 13  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 25089.16.

**Cha Choeng Sao**.
IF (province = 14  &  b06 = 2 & B07 <=19) UCOST = 12269.41.
IF (province = 14  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 13668.00.
IF (province = 14  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 20330.74.

**Chon Buri**.
IF (province = 15  &  b06 = 2 & B07 <=19) UCOST = 22607.07.
IF (province = 15  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 22049.46.
IF (province = 15  &  b06 = 2 & B07>=31 & B07 <=39) UCOST = 45993.73.
IF (province = 15  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 15698.46.

**Trat**.
IF (province = 16  &  b06 = 2 & B07 <=19) UCOST = 24088.75.
IF (province = 16  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 15832.32.
IF (province = 16  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 35628.51.

**Nakhon Nayok**.
IF (province = 17  &  b06 = 2 & B07 <=19) UCOST = 16041.92.
IF (province = 17  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11005.07.
IF (province = 17  &  b06 = 2 & B07>=31 & B07 <=39) UCOST = 10336.22.
IF (province = 17  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 23650.98.

**Prachin Buri**.
IF (province = 18  &  b06 = 2 & B07 <=19) UCOST = 13589.42.
IF (province = 18  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 10075.67.
IF (province = 18  &  b06 = 2 & B07>=31 & B07 <=39) UCOST = 10343.83.
IF (province = 18  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 18241.14.

**Rayong**.
IF (province = 19  &  b06 = 2 & B07 <=19) UCOST = 18740.25.
IF (province = 19  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 18643.78.
IF (province = 19  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 47112.84.

**Sa Kaew**.
IF (province = 20  &  b06 = 2 & B07 <=19) UCOST = 10391.56.
IF (province = 20  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 5505.65.
IF (province = 20  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 16679.11.

**Ratcha Buri**.
IF (province = 21  &  b06 = 2 & B07 <=19) UCOST = 15381.13.
IF (province = 21  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 13861.24.
IF (province = 21  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 20872.66.

**Kanchana Buri**.
IF (province = 22  &  b06 = 2 & B07 <=19) UCOST = 12673.51.
IF (province = 22  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 9224.61.
IF (province = 22  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 17083.30.

**Suphan Buri**.
IF (province = 23  &  b06 = 2 & B07 <=19) UCOST = 17936.00.
IF (province = 23  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 10844.31.
IF (province = 23  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 19419.83.

**Samut Songkhram**.
IF (province = 24  &  b06 = 2 & B07 <=19) UCOST = 18598.69.
IF (province = 24  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 15027.39.
IF (province = 24  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 19117.64.

**Phetcha Buri**.
IF (province = 25  &  b06 = 2 & B07 <=19) UCOST = 17813.90.
IF (province = 25  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 17520.85.
IF (province = 25  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 36507.92.

**Prachuab Khiri Khan**.
IF (province = 26  &  b06 = 2 & B07 <=19) UCOST = 14644.63.
IF (province = 26  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 14926.99.
IF (province = 26  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 42558.64.

**Nakhon Ratchasima**.
IF (province = 27  &  b06 = 2 & B07 <=19) UCOST = 11972.02.
IF (province = 27  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8533.44.
IF (province = 27  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 23063.81.

**Buri Rum**.
IF (province = 28  &  b06 = 2 & B07 <=19) UCOST = 12070.17.
IF (province = 28  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 7471.05.
IF (province = 28  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 29401.75.

**Surin**.
IF (province = 29  &  b06 = 2 & B07 <=19) UCOST = 11533.49.
IF (province = 29  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 6882.77.
IF (province = 29  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 51743.18.

**Si Sa Ket**.
IF (province = 30  &  b06 = 2 & B07 <=19) UCOST = 10929.89.
IF (province = 30  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 7393.89.
IF (province = 30  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 22270.54.

**Ubon Ratchathani**.
IF (province = 31  &  b06 = 2 & B07 <=19) UCOST = 13732.49.
IF (province = 31  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8000.28.
IF (province = 31  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 44612.95.

**Yasothon**.
IF (province = 32  &  b06 = 2 & B07 <=19) UCOST = 11885.23.
IF (province = 32  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11247.87.
IF (province = 32  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 15611.83.

**Chaiyaphum**.
IF (province = 33  &  b06 = 2 & B07 <=19) UCOST = 13106.83.
IF (province = 33  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 10079.45.
IF (province = 33  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 243063.39.

**Umnad Chareun**.
IF (province = 34  &  b06 = 2 & B07 <=19) UCOST = 10574.02.
IF (province = 34  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 10155.31.
IF (province = 34  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 16204.65.

**Nongbua Lumphoo**.
IF (province = 35  &  b06 = 2 & B07 <=19) UCOST = 12644.71.
IF (province = 35  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 5197.92.
IF (province = 35  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 50259.75.

**Khon Kaen**.
IF (province = 36  &  b06 = 2 & B07 <=19) UCOST = 13307.05.
IF (province = 36  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8166.30.
IF (province = 36  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 28432.96.

**Udon Thani**.
IF (province = 37  &  b06 = 2 & B07 <=19) UCOST = 12236.55.
IF (province = 37  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12236.81.
IF (province = 37  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 20192.52.

**Loei**.
IF (province = 38  &  b06 = 2 & B07 <=19) UCOST = 13213.26.
IF (province = 38  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 9645.93.
IF (province = 38  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 40422.07.

**Nong Khai**.
IF (province = 39  &  b06 = 2 & B07 <=19) UCOST = 10311.65.
IF (province = 39  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 7600.57.
IF (province = 39  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 22767.46.

**Maha Sarakham**.
IF (province = 40  &  b06 = 2 & B07 <=19) UCOST = 11459.36.
IF (province = 40  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8996.91.
IF (province = 40  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 28468.11.

**Roi et**.
IF (province = 41  &  b06 = 2 & B07 <=19) UCOST = 14015.23.
IF (province = 41  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 9195.12.
IF (province = 41  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 28355.64.

**Kalasin**.
IF (province = 42  &  b06 = 2 & B07 <=19) UCOST = 11920.36.
IF (province = 42  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 10191.79.
IF (province = 42  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 84738.40.

**Sakon Nakhon**.
IF (province = 43  &  b06 = 2 & B07 <=19) UCOST = 12417.01.
IF (province = 43  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8844.20.
IF (province = 43  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 24224.22.

**Nakhon Phanom**.
IF (province = 44  &  b06 = 2 & B07 <=19) UCOST = 11209.12.
IF (province = 44  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 7843.55.
IF (province = 44  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 23508.79.

**Mukdahan**.
IF (province = 45  &  b06 = 2 & B07 <=19) UCOST = 15602.81.
IF (province = 45  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 9661.67.
IF (province = 45  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 96439.49.

**Chiangmai**.
IF (province = 46  &  b06 = 2 & B07 <=19) UCOST = 23138.94.
IF (province = 46  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 13399.29.
IF (province = 46  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 40529.14.

**Lamphun**.
IF (province = 47  &  b06 = 2 & B07 <=19) UCOST = 21553.69.
IF (province = 47  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 10714.60.
IF (province = 47  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 28226.93.

**Lampang**.
IF (province = 48  &  b06 = 2 & B07 <=19) UCOST = 16629.47.
IF (province = 48  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 15596.08.
IF (province = 48  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 21148.60.

**Uttaradit**.
IF (province = 49  &  b06 = 2 & B07 <=19) UCOST = 16771.01.
IF (province = 49  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11275.27.
IF (province = 49  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 55426.01.

**Phrae**.
IF (province = 50  &  b06 = 2 & B07 <=19) UCOST = 14336.06.
IF (province = 50  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 9806.03.
IF (province = 50  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 13792.62.

**Nan**.
IF (province = 51  &  b06 = 2 & B07 <=19) UCOST = 21803.22.
IF (province = 51  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11137.89.
IF (province = 51  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 26067.50.

**Phayao**.
IF (province = 52  &  b06 = 2 & B07 <=19) UCOST = 17627.27.
IF (province = 52  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8483.25.
IF (province = 52  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 18930.81.

**Chiangrai**.
IF (province = 53  &  b06 = 2 & B07 <=19) UCOST = 11663.76.
IF (province = 53  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11123.68.
IF (province = 53  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 28546.56.

**Mae Hong Son**.
IF (province = 54  &  b06 = 2 & B07 <=19) UCOST = 17056.14.
IF (province = 54  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 24823.34.
IF (province = 54  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 44856.38.

**Nakhon Sawan**.
IF (province = 55  &  b06 = 2 & B07 <=19) UCOST = 12746.29.
IF (province = 55  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 13189.50.
IF (province = 55  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 54064.17.

**Uthai Thani**.
IF (province = 56  &  b06 = 2 & B07 <=19) UCOST = 15215.19.
IF (province = 56  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12129.78.
IF (province = 56  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 35197.78.

**Kamphaeng Phet**.
IF (province = 57  &  b06 = 2 & B07 <=19) UCOST = 12155.89.
IF (province = 57  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 9150.31.
IF (province = 57  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 16078.20.

**Tak**.
IF (province = 58  &  b06 = 2 & B07 <=19) UCOST = 21803.74.
IF (province = 58  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 13610.69.
IF (province = 58  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 55214.20.

**Sukhothai**.
IF (province = 59  &  b06 = 2 & B07 <=19) UCOST = 11788.78.
IF (province = 59  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8716.92.
IF (province = 59  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 17259.95.

**Phitsanulok**.
IF (province = 60  &  b06 = 2 & B07 <=19) UCOST = 14367.07.
IF (province = 60  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 9382.34.
IF (province = 60  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 17376.99.

**Pichit**.
IF (province = 61  &  b06 = 2 & B07 <=19) UCOST = 14645.49.
IF (province = 61  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 10756.93.
IF (province = 61  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 15977.18.

**Phetchabun**.
IF (province = 62  &  b06 = 2 & B07 <=19) UCOST = 12598.71.
IF (province = 62  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8897.07.
IF (province = 62  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 12050.19.

**Nakhon Si Thammaraj**.
IF (province = 63  &  b06 = 2 & B07 <=19) UCOST = 8614.20.
IF (province = 63  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 7420.90.
IF (province = 63  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 11851.94.

**Krabi**.
IF (province = 64  &  b06 = 2 & B07 <=19) UCOST = 28267.65.
IF (province = 64  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 37019.83.
IF (province = 64  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 57596.92.

**Phang Nga**.
IF (province = 65  &  b06 = 2 & B07 <=19) UCOST = 13119.42.
IF (province = 65  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12282.12.
IF (province = 65  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 17668.53.

**Phu-ket**.
IF (province = 66  &  b06 = 2 & B07 <=19) UCOST = 24661.42.
IF (province = 66  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 40015.80.
IF (province = 66  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 35331.74.

**Surat Thani**.
IF (province = 67  &  b06 = 2 & B07 <=19) UCOST = 14489.90.
IF (province = 67  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12096.97.
IF (province = 67  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 14668.38.

**Ranong**.
IF (province = 68  &  b06 = 2 & B07 <=19) UCOST = 17491.36.
IF (province = 68  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12280.18.
IF (province = 68  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 14322.73.

**Chumphon**.
IF (province = 69  &  b06 = 2 & B07 <=19) UCOST = 16676.92.
IF (province = 69  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 10463.19.
IF (province = 69  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 32727.09.

**Song Kha**.
IF (province = 70  &  b06 = 2 & B07 <=19) UCOST = 17198.55.
IF (province = 70  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 14418.92.
IF (province = 70  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 25289.79.

**Satun**.
IF (province = 71  &  b06 = 2 & B07 <=19) UCOST = 13818.31.
IF (province = 71  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11564.22.
IF (province = 71  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 55871.80.

**Trang**.
IF (province = 72  &  b06 = 2 & B07 <=19) UCOST = 14670.28.
IF (province = 72  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12907.53.
IF (province = 72  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 21532.44.

**Phatthalung**.
IF (province = 73  &  b06 = 2 & B07 <=19) UCOST = 15485.64.
IF (province = 73  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 8949.55. 
IF (province = 73  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 14737.79.

**Pattani**.
IF (province = 74  &  b06 = 2 & B07 <=19) UCOST = 10137.48.
IF (province = 74  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 12365.66.
IF (province = 74  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 13997.84.

**Yala**.
IF (province = 75  &  b06 = 2 & B07 <=19) UCOST = 11429.31.
IF (province = 75  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 15907.75.
IF (province = 75  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 24731.84.

**Narathivas**.
IF (province = 76  &  b06 = 2 & B07 <=19) UCOST = 8969.58. 
IF (province = 76  &  b06 = 2 & B07 >=20  &  B07 <=29) UCOST = 11529.40.
IF (province = 76  &  b06 = 2 & B07>=40 & B07 <=90) UCOST = 21728.78.
EXECUTE.


***************************************
*Tables of Subsidies (weighted).
***************************************
weight by a34.

RECODE b03 (1=1) (2=2) INTO sex.
VALUE LABELS sex 1 'male' 2 'female'.

COMPUTE ucost = ucost/1000000 .

COMPUTE STUDENT = pr_priv + pr_pub + sec_priv +sec_pub + ter_priv + ter_pub + voc_priv + voc_pub.
COMPUTE PRIM = pr_priv + pr_pub.
COMPUTE SEC = sec_priv + sec_pub.
COMPUTE VOC = voc_priv + voc_pub.
COMPUTE TER =  ter_priv + ter_pub.

EXECUTE.


* Basic Tables / TOTAL.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (PROVINCE > (sex) + T0000000) > ucost
  BY (quint_e + T0000000) > (STATISTICS)
  /STATISTICS
  sum( ).


**PRIMARY**.
USE ALL.
COMPUTE filter_$=(pr_priv=1).
VARIABLE LABEL filter_$ 'pr_priv=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region > (sex) + T0000000) > ucost
  BY (quint_e + T0000000) > (STATISTICS)
  /STATISTICS
  sum( ).
USE ALL.
COMPUTE filter_$=(pr_pub=1).
VARIABLE LABEL filter_$ 'pr_pub=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region > (sex) + T0000000) > ucost
  BY (quint_e + T0000000) > (STATISTICS)
  /STATISTICS
  sum( ).
USE ALL.
COMPUTE filter_$=(prim=1).
VARIABLE LABEL filter_$ 'prim=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION ucost
  /TABLES (region > (sex) + T0000000) > ucost
  BY (quint_e + T0000000) > (STATISTICS)
  /STATISTICS
  sum( ).



