GET FILE = 'c:\my documents\research\SES43_6_new.sav' 

MATCH FILES TABLE='c:\my documents\research\PROJECT.sav'  /FILE=* / BY HID.
EXECUTE.

weight by a34.

FILTER OFF.
USE ALL.
SELECT IF(fg=511 and any(fi,1,2,3,4,5,6)).
EXECUTE .



**************************************
* UCOST Specification by REGION.
**************************************

IF (REGION=1) UCOSTCR=0.64.
IF (REGION=2) UCOSTCR=0.43.
IF (REGION=3) UCOSTCR=0.41.
IF (REGION=4) UCOSTCR=0.48.
IF (REGION=5) UCOSTCR=0.53.
IF (REGION=6) UCOSTCR=0.81.
IF (REGION=7) UCOSTCR=0.48.

IF (REGION=1) UCOSTKR=10.75.
IF (REGION=2) UCOSTKR=3.11.
IF (REGION=3) UCOSTKR=3.94.
IF (REGION=4) UCOSTKR=4.76.
IF (REGION=5) UCOSTKR=5.07.
IF (REGION=6) UCOSTKR=6.19.
IF (REGION=7) UCOSTKR=4.77.
EXECUTE.

***************************************
* UCOST Specification by PROVINCE.
***************************************

IF (PROVINCE=1) UCOSTCP=0.79.
IF (PROVINCE=2) UCOSTCP=0.37.	
IF (PROVINCE=3) UCOSTCP=0.30.	
IF (PROVINCE=4) UCOSTCP=0.19.	
IF (PROVINCE=5) UCOSTCP=0.25.	
IF (PROVINCE=6) UCOSTCP=0.14.	
IF (PROVINCE=7) UCOSTCP=1.07.	
IF (PROVINCE=8) UCOSTCP=0.21.	
IF (PROVINCE=9) UCOSTCP=1.12.	
IF (PROVINCE=10) UCOSTCP=0.33.	
IF (PROVINCE=11) UCOSTCP=0.11.	
IF (PROVINCE=12) UCOSTCP=0.10.	
IF (PROVINCE=13) UCOSTCP=0.42.	
IF (PROVINCE=14) UCOSTCP=0.31.	
IF (PROVINCE=15) UCOSTCP=0.44.	
IF (PROVINCE=16) UCOSTCP=1.03.	
IF (PROVINCE=17) UCOSTCP=0.12.	
IF (PROVINCE=18) UCOSTCP=0.51.	
IF (PROVINCE=19) UCOSTCP=0.32.	
IF (PROVINCE=20) UCOSTCP=0.58.	
IF (PROVINCE=21) UCOSTCP=0.25.	
IF (PROVINCE=22) UCOSTCP=0.67.	
IF (PROVINCE=23) UCOSTCP=0.51.	
IF (PROVINCE=24) UCOSTCP=0.30.	
IF (PROVINCE=25) UCOSTCP=0.89.	
IF (PROVINCE=26) UCOSTCP=0.16.	
IF (PROVINCE=27) UCOSTCP=0.35.	
IF (PROVINCE=28) UCOSTCP=0.26.	
IF (PROVINCE=29) UCOSTCP=0.36.	
IF (PROVINCE=30) UCOSTCP=0.30.	
IF (PROVINCE=31) UCOSTCP=0.74.	
IF (PROVINCE=32) UCOSTCP=0.56.	
IF (PROVINCE=33) UCOSTCP=0.36.	
IF (PROVINCE=34) UCOSTCP=0.72.	
IF (PROVINCE=35) UCOSTCP=0.12.	
IF (PROVINCE=36) UCOSTCP=1.51.	
IF (PROVINCE=37) UCOSTCP=0.50.	
IF (PROVINCE=38) UCOSTCP=0.62.	
IF (PROVINCE=39) UCOSTCP=0.48.	
IF (PROVINCE=40) UCOSTCP=0.76.	
IF (PROVINCE=41) UCOSTCP=0.08.	
IF (PROVINCE=42) UCOSTCP=0.31.	
IF (PROVINCE=43) UCOSTCP=0.79.	
IF (PROVINCE=44) UCOSTCP=0.49.	
IF (PROVINCE=45) UCOSTCP=0.92.	
IF (PROVINCE=46) UCOSTCP=0.62.	
IF (PROVINCE=47) UCOSTCP=0.45.	
IF (PROVINCE=48) UCOSTCP=0.90.	
IF (PROVINCE=49) UCOSTCP=0.88.	
IF (PROVINCE=50) UCOSTCP=1.78.	
IF (PROVINCE=51) UCOSTCP=1.08.	
IF (PROVINCE=52) UCOSTCP=1.11.	
IF (PROVINCE=53) UCOSTCP=0.26.	
IF (PROVINCE=54) UCOSTCP=2.80.	
IF (PROVINCE=55) UCOSTCP=0.47.	
IF (PROVINCE=56) UCOSTCP=0.52.	
IF (PROVINCE=57) UCOSTCP=0.55.	
IF (PROVINCE=58) UCOSTCP=3.55.	
IF (PROVINCE=59) UCOSTCP=0.44.	
IF (PROVINCE=60) UCOSTCP=0.71.	
IF (PROVINCE=61) UCOSTCP=0.67.	
IF (PROVINCE=62) UCOSTCP=1.39.	
IF (PROVINCE=63) UCOSTCP=0.25.	
IF (PROVINCE=64) UCOSTCP=1.57.	
IF (PROVINCE=65) UCOSTCP=0.19.	
IF (PROVINCE=66) UCOSTCP=0.58.	
IF (PROVINCE=67) UCOSTCP=0.49.	
IF (PROVINCE=68) UCOSTCP=1.43.	
IF (PROVINCE=69) UCOSTCP=0.37.	
IF (PROVINCE=70) UCOSTCP=0.70.	
IF (PROVINCE=71) UCOSTCP=0.68.	
IF (PROVINCE=72) UCOSTCP=0.26.	
IF (PROVINCE=73) UCOSTCP=0.35.	
IF (PROVINCE=74) UCOSTCP=0.32.	
IF (PROVINCE=75) UCOSTCP=0.49.	
IF (PROVINCE=76) UCOSTCP=0.36.	

	
IF (PROVINCE=1) UCOSTKP=11.08.	
IF (PROVINCE=2) UCOSTKP=1.37.	
IF (PROVINCE=3) UCOSTKP=28.70.	
IF (PROVINCE=4) UCOSTKP=2.48.	
IF (PROVINCE=5) UCOSTKP=1.41.	
IF (PROVINCE=6) UCOSTKP=1.70.	
IF (PROVINCE=7) UCOSTKP=5.08.	
IF (PROVINCE=8) UCOSTKP=1.10.	
IF (PROVINCE=9) UCOSTKP=7.10.	
IF (PROVINCE=10) UCOSTKP=3.91.	
IF (PROVINCE=11) UCOSTKP=1.29.	
IF (PROVINCE=12) UCOSTKP=1.70.	
IF (PROVINCE=13) UCOSTKP=2.65.	
IF (PROVINCE=14) UCOSTKP=1.80.	
IF (PROVINCE=15) UCOSTKP=3.45.	
IF (PROVINCE=16) UCOSTKP=5.62.	
IF (PROVINCE=17) UCOSTKP=2.44.	
IF (PROVINCE=18) UCOSTKP=8.92.	
IF (PROVINCE=19) UCOSTKP=4.17.	
IF (PROVINCE=20) UCOSTKP=7.27.	
IF (PROVINCE=21) UCOSTKP=3.39.	
IF (PROVINCE=22) UCOSTKP=4.27.	
IF (PROVINCE=23) UCOSTKP=4.56.	
IF (PROVINCE=24) UCOSTKP=5.25.	
IF (PROVINCE=25) UCOSTKP=7.44.	
IF (PROVINCE=26) UCOSTKP=6.10.	
IF (PROVINCE=27) UCOSTKP=5.14.	
IF (PROVINCE=28) UCOSTKP=2.82.	
IF (PROVINCE=29) UCOSTKP=4.42.	
IF (PROVINCE=30) UCOSTKP=3.11.	
IF (PROVINCE=31) UCOSTKP=6.88.	
IF (PROVINCE=32) UCOSTKP=4.44.	
IF (PROVINCE=33) UCOSTKP=5.48.	
IF (PROVINCE=34) UCOSTKP=4.08.	
IF (PROVINCE=35) UCOSTKP=3.52.	
IF (PROVINCE=36) UCOSTKP=12.35.	
IF (PROVINCE=37) UCOSTKP=4.98.	
IF (PROVINCE=38) UCOSTKP=5.30.	
IF (PROVINCE=39) UCOSTKP=3.86.	
IF (PROVINCE=40) UCOSTKP=2.77.	
IF (PROVINCE=41) UCOSTKP=1.03.	
IF (PROVINCE=42) UCOSTKP=3.54.	
IF (PROVINCE=43) UCOSTKP=9.85.	
IF (PROVINCE=44) UCOSTKP=4.36.	
IF (PROVINCE=45) UCOSTKP=8.32.	
IF (PROVINCE=46) UCOSTKP=4.84.	
IF (PROVINCE=47) UCOSTKP=1.80.	
IF (PROVINCE=48) UCOSTKP=6.28.	
IF (PROVINCE=49) UCOSTKP=6.86.	
IF (PROVINCE=50) UCOSTKP=7.63.	
IF (PROVINCE=51) UCOSTKP=11.89.	
IF (PROVINCE=52) UCOSTKP=6.75.	
IF (PROVINCE=53) UCOSTKP=4.16.	
IF (PROVINCE=54) UCOSTKP=11.82.	
IF (PROVINCE=55) UCOSTKP=7.33.	
IF (PROVINCE=56) UCOSTKP=4.77.	
IF (PROVINCE=57) UCOSTKP=10.55.	
IF (PROVINCE=58) UCOSTKP=12.52.	
IF (PROVINCE=59) UCOSTKP=2.39.	
IF (PROVINCE=60) UCOSTKP=4.97.	
IF (PROVINCE=61) UCOSTKP=13.59.	
IF (PROVINCE=62) UCOSTKP=5.58.	
IF (PROVINCE=63) UCOSTKP=5.39.	
IF (PROVINCE=64) UCOSTKP=25.38.	
IF (PROVINCE=65) UCOSTKP=3.15.	
IF (PROVINCE=66) UCOSTKP=1.91.	
IF (PROVINCE=67) UCOSTKP=4.70.	
IF (PROVINCE=68) UCOSTKP=5.16.	
IF (PROVINCE=69) UCOSTKP=2.44.	
IF (PROVINCE=70) UCOSTKP=5.74.	
IF (PROVINCE=71) UCOSTKP=4.49.	
IF (PROVINCE=72) UCOSTKP=3.12.	
IF (PROVINCE=73) UCOSTKP=1.77.	
IF (PROVINCE=74) UCOSTKP=2.75.	
IF (PROVINCE=75) UCOSTKP=2.57.	
IF (PROVINCE=76) UCOSTKP=3.31.

COMPUTE  COST_CR = (fv*UCOSTCR/1000000).
COMPUTE  COST_KR = (fv*UCOSTKR/1000000).
COMPUTE  COST_CP = (fv*UCOSTCP/1000000).
COMPUTE  COST_KP = (fv*UCOSTKP/1000000).
EXECUTE.