***************************************.
*To Compute Gross Enrollment Rate.
***************************************.

GET file='d:\ses\rec1N2.sav'.
weight by a34.
COMPUTE TOTO = 1.

DO IF (b06 =1 &  B07 =10).
COMPUTE  kn_priv = 1 .
ELSE.
COMPUTE kn_priv=0.
END IF.
DO IF (b06 =2 &  B07 =10).
COMPUTE  kn_pub = 1 .
ELSE.
COMPUTE kn_pub=0.
END IF.


DO IF (b06 =1 & B07>10 and B07 <=19).
COMPUTE  pr_priv = 1 .
ELSE.
COMPUTE PR_priv=0.
END IF.
DO IF (b06 =2 & B07>10 and B07 <=19).
 COMPUTE  pr_pub = 1 .
 ELSE. 
 COMPUTE PR_PUB=0.
 END IF.


DO IF (b06 =1 & B07 >=20 & b07<=23).  
COMPUTE  low_priv = 1 . 
 ELSE.  
COMPUTE low_Priv=0. 
 END IF.
DO IF (b06 =2 & B07 >=20 & b07<=23).  
COMPUTE  low_pub = 1 .  
ELSE. 
 COMPUTE low_Pub=0.  
END IF.

DO IF (b06 =1 & B07 >=24 & b07<=29).  
COMPUTE  hi_priv = 1 . 
 ELSE.  
COMPUTE hi_Priv=0. 
 END IF.
DO IF (b06 =2 & B07 >=24 & b07<=29).  
COMPUTE  hi_pub = 1 .  
ELSE. 
 COMPUTE hi_Pub=0.  
END IF.

DO IF (b06 =1 & B07 >=20 & b07<=29).  
COMPUTE  sec_priv = 1 . 
 ELSE.  
COMPUTE sec_Priv=0. 
 END IF.
DO IF (b06 =2 & B07 >=20 & b07<=29).  
COMPUTE  sec_pub = 1 .  
ELSE. 
 COMPUTE sec_Pub=0.  
END IF.


DO IF (b06 =1 & B07 >=31 & b07<=39).  
COMPUTE  ter_priv = 1 . 
 ELSE. 
 COMPUTE ter_Priv=0.  
END IF.

DO IF (b06 =2 & B07 >=31 & b07<=39). 
 COMPUTE  ter_pub = 1 . 
 ELSE. 
 COMPUTE ter_Pub=0. 
 END IF.

DO IF (b06 =1 & B07 >=40 & b07<=90). 
 COMPUTE  voc_priv = 1 . 
 ELSE.  
COMPUTE voc_Priv=0.  
END IF.

DO IF (b06 =2 & B07 >=40 & b07<=90).  
COMPUTE  voc_pub = 1 . 
 ELSE. 
 COMPUTE voc_Pub=0. 
 END IF.

EXECUTE.
save outfile='d:\ses\educ.sav'.

**********************.
**********************.
*kindergarten level.
**********************.
**********************.

GET file='d:\ses\educ.sav'.
IF (b04 >= 3 and b04 <= 5)  age1 = 1.
IF (b04 < 3 or b04 > 5)  age1 = 0.

AGGREGATE OUTFILE='d:\ses\e2.SAV' /BREAK=province quint_e    
                   /pub = SUM(kn_pub) /priv = SUM(kn_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e5.SAV' /BREAK=province             
                   /pub = SUM(kn_pub) /priv = SUM(kn_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(kn_pub) /priv = SUM(kn_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e8.SAV' /BREAK=TOTO
                   /pub = SUM(kn_pub) /priv = SUM(kn_priv) /total = SUM(age1).  

GET file='d:\ses\E5.sav'. 
COMPUTE quint_e=99.
save outfile='d:\ses\e5.sav'.

GET file='d:\ses\E6.sav'. 
COMPUTE province=99.
save outfile='d:\ses\e6.sav'.

GET file='d:\ses\E8.sav'. 
COMPUTE province=99.
COMPUTE quint_e=99.
save outfile='d:\ses\e8.sav'.

ADD FILES   FILE='d:\ses\e2.sav'
           /FILE='d:\ses\e5.sav'
           /FILE='d:\ses\e6.sav'
           /FILE=*
           / BY province quint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS province 1 'Bangkok' 2 'Nakhon Pathom' 3 'Nonthaburi' 4 'Pathum Thani' 5 'Samut Prakan' 6 'Samut Sakhon' 7 'Chai Nat' 8  'P.N.S.Ayutthaya'
9 'Lop Buri' 10 'Saraburi' 11 'Sing Buri' 12  'Ang Thong' 13 'Chantha Buri' 14 'Cha Choeng Sao' 15 'Chon Buri' 16 'Trat' 17 'Nakhon Nayok'
18 'Prachin Buri'19 'Rayong'  20 'Sa Kaew' 21 'Ratcha Buri' 22 'Kanchana Buri' 23 'Suphan Buri'  24 'Samut Songkhram' 25 'Phetcha Buri'  
26 'Prachuab Khiri Khan' 27 'Nakhon Ratchsima'  28 'Buri Ram' 29 'Surin' 30 'Si Sa Ket' 31 'Ubon Ratchathani' 32 'Yasothon' 33 'Chaiyaphum'35 'Nongbua Lumphoo' 36 'Khon Kaen' 37 'Udon Thani' 38 'Loei' 39 'Nong Khai' 40 'Maha Sarakham'  
43 'Sakon Nakhon' 42 'Kalasin'  34 'Umnad Chareun' 44 'Nakhon Phanom' 45 'Mukdahan'
41 'Roi et'   55 'Nakhon Sawan'  56 'Uthai Thani' 59 'Sukhothai' 57 'Kamphaeng Phet'
58 'Tak' 60 'Phitsanulok' 61 'Phichit' 62 'Phetchabun' 49 'Uttaradit' 50 'Phrae' 51 'Nan' 48 'Lampang' 52 'Phayao'
46 'Chiangmai' 54 'Mae Hong Son'  47 'Lamphun' 53 'Chiangrai' 63 'Nakhon Si Thammaraj' 67 'Surat Thani'
66 'Phu-ket' 65 'Phang Nga' 64 'Krabi'  69 'Chumphon' 68 'Ranong' 70 'Song Khla' 73 'Phatthalung' 72 'Trang'
71 'Satun'  75 'Yala'  74 'Pattani' 76 'Narathivas' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES province > pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - KINDERGARDEN - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES province > pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - KINDERGARDEN - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES province > t BY quint_e > (STATISTICS)
  /TITLE = 'GER - KINDERGARDEN - TOTAL'
  /STATISTICS mean((f8.1)).

===============================================
**********************.
**********************.
* PRIMARY level.
**********************.
**********************.
GET file='d:\ses\EDUC.sav'.
weight by a34.
IF (b04 >= 6 and b04 <= 11)  age1 = 1.
IF (b04 < 6 or b04 > 11)  age1 = 0.

AGGREGATE OUTFILE='d:\ses\e2.SAV' /BREAK=province quint_e    
                   /pub = SUM(pr_pub) /priv = SUM(pr_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e5.SAV' /BREAK=province            
                   /pub = SUM(pr_pub) /priv = SUM(pr_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(pr_pub) /priv = SUM(pr_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e8.SAV' /BREAK=TOTO
                   /pub = SUM(pr_pub) /priv = SUM(pr_priv) /total = SUM(age1).  

GET file='d:\ses\E5.sav'. 
COMPUTE quint_e=99.
save outfile='d:\ses\e5.sav'.

GET file='d:\ses\E6.sav'. 
COMPUTE province =99.
save outfile='d:\ses\e6.sav'.

GET file='d:\ses\E8.sav'. 
COMPUTE province=99.
COMPUTE quint_e=99.
save outfile='d:\ses\e8.sav'.

ADD FILES   FILE='d:\ses\e2.sav'
           /FILE='d:\ses\e5.sav'
           /FILE='d:\ses\e6.sav'
           /FILE=*
           / BY province equint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS province 1 'Bangkok' 2 'Nakhon Pathom' 3 'Nonthaburi' 4 'Pathum Thani' 5 'Samut Prakan' 6 'Samut Sakhon' 7 'Chai Nat' 8  'P.N.S.Ayutthaya'
9 'Lop Buri' 10 'Saraburi' 11 'Sing Buri' 12  'Ang Thong' 13 'Chantha Buri' 14 'Cha Choeng Sao' 15 'Chon Buri' 16 'Trat' 17 'Nakhon Nayok'
18 'Prachin Buri'19 'Rayong'  20 'Sa Kaew' 21 'Ratcha Buri' 22 'Kanchana Buri' 23 'Suphan Buri'  24 'Samut Songkhram' 25 'Phetcha Buri'  
26 'Prachuab Khiri Khan' 27 'Nakhon Ratchsima'  28 'Buri Ram' 29 'Surin' 30 'Si Sa Ket' 31 'Ubon Ratchathani' 32 'Yasothon' 33 'Chaiyaphum'35 'Nongbua Lumphoo' 36 'Khon Kaen' 37 'Udon Thani' 38 'Loei' 39 'Nong Khai' 40 'Maha Sarakham'  
43 'Sakon Nakhon' 42 'Kalasin'  34 'Umnad Chareun' 44 'Nakhon Phanom' 45 'Mukdahan'
41 'Roi et'   55 'Nakhon Sawan'  56 'Uthai Thani' 59 'Sukhothai' 57 'Kamphaeng Phet'
58 'Tak' 60 'Phitsanulok' 61 'Phichit' 62 'Phetchabun' 49 'Uttaradit' 50 'Phrae' 51 'Nan' 48 'Lampang' 52 'Phayao'
46 'Chiangmai' 54 'Mae Hong Son'  47 'Lamphun' 53 'Chiangrai' 63 'Nakhon Si Thammaraj' 67 'Surat Thani'
66 'Phu-ket' 65 'Phang Nga' 64 'Krabi'  69 'Chumphon' 68 'Ranong' 70 'Song Khla' 73 'Phatthalung' 72 'Trang'
71 'Satun'  75 'Yala'  74 'Pattani' 76 'Narathivas' 99 'Total'.


USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES province> pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - PRIMARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES province> pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - PRIMARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES province> t BY quint_e > (STATISTICS)
  /TITLE = 'GER - PRIMARY - TOTAL'
  /STATISTICS mean((f8.1)).

  

***********************.
*********************.
* LOWER SECONDARY level.
**********************.
**********************.
GET file='d:\ses\EDUC.sav'.
weight by a34.
IF (b04 >= 12 and b04 <= 14)  age1 = 1.
IF (b04 < 12 or b04 > 14)  age1 = 0.

AGGREGATE OUTFILE='d:\ses\e2.SAV' /BREAK=provincequint_e    
                   /pub = SUM(low_pub) /priv = SUM(low_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e5.SAV' /BREAK=province            
                   /pub = SUM(low_pub) /priv = SUM(low_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(low_pub) /priv = SUM(low_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e8.SAV' /BREAK=TOTO
                   /pub = SUM(low_pub) /priv = SUM(low_priv) /total = SUM(age1).  

GET file='d:\ses\E5.sav'. 
COMPUTE quint_e=99.
save outfile='d:\ses\e5.sav'.

GET file='d:\ses\E6.sav'. 
COMPUTE region=99.
save outfile='d:\ses\e6.sav'.

GET file='d:\ses\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='d:\ses\e8.sav'.

ADD FILES   FILE='d:\ses\e2.sav'
           /FILE='d:\ses\e5.sav'
           /FILE='d:\ses\e6.sav'
           /FILE=*
           / BY provincequint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS province 1 'Bangkok' 2 'Nakhon Pathom' 3 'Nonthaburi' 4 'Pathum Thani' 5 'Samut Prakan' 6 'Samut Sakhon' 7 'Chai Nat' 8  'P.N.S.Ayutthaya'
9 'Lop Buri' 10 'Saraburi' 11 'Sing Buri' 12  'Ang Thong' 13 'Chantha Buri' 14 'Cha Choeng Sao' 15 'Chon Buri' 16 'Trat' 17 'Nakhon Nayok'
18 'Prachin Buri'19 'Rayong'  20 'Sa Kaew' 21 'Ratcha Buri' 22 'Kanchana Buri' 23 'Suphan Buri'  24 'Samut Songkhram' 25 'Phetcha Buri'  
26 'Prachuab Khiri Khan' 27 'Nakhon Ratchsima'  28 'Buri Ram' 29 'Surin' 30 'Si Sa Ket' 31 'Ubon Ratchathani' 32 'Yasothon' 33 'Chaiyaphum'35 'Nongbua Lumphoo' 36 'Khon Kaen' 37 'Udon Thani' 38 'Loei' 39 'Nong Khai' 40 'Maha Sarakham'  
43 'Sakon Nakhon' 42 'Kalasin'  34 'Umnad Chareun' 44 'Nakhon Phanom' 45 'Mukdahan'
41 'Roi et'   55 'Nakhon Sawan'  56 'Uthai Thani' 59 'Sukhothai' 57 'Kamphaeng Phet'
58 'Tak' 60 'Phitsanulok' 61 'Phichit' 62 'Phetchabun' 49 'Uttaradit' 50 'Phrae' 51 'Nan' 48 'Lampang' 52 'Phayao'
46 'Chiangmai' 54 'Mae Hong Son'  47 'Lamphun' 53 'Chiangrai' 63 'Nakhon Si Thammaraj' 67 'Surat Thani'
66 'Phu-ket' 65 'Phang Nga' 64 'Krabi'  69 'Chumphon' 68 'Ranong' 70 'Song Khla' 73 'Phatthalung' 72 'Trang'
71 'Satun'  75 'Yala'  74 'Pattani' 76 'Narathivas' 99 'Total'.


USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES province> pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - LOWER SECONDARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES province> pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - LOWER SECONDARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES province> t BY quint_e > (STATISTICS)
  /TITLE = 'GER - LOWER SECONDARY - TOTAL'
  /STATISTICS mean((f8.1)).


***********************.
*********************.
* HIGHER SECONDARY level.
**********************.
**********************.
GET file='d:\ses\EDUC.sav'.
weight by a34.
IF (b04 >= 15 and b04 <= 17)  age1 = 1.
IF (b04 < 15 or b04 > 17)  age1 = 0.

AGGREGATE OUTFILE='d:\ses\e2.SAV' /BREAK=provincequint_e    
                   /pub = SUM(hi_pub) /priv = SUM(hi_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e5.SAV' /BREAK=province            
                   /pub = SUM(hi_pub) /priv = SUM(hi_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(hi_pub) /priv = SUM(hi_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e8.SAV' /BREAK=TOTO
                   /pub = SUM(hi_pub) /priv = SUM(hi_priv) /total = SUM(age1).  

GET file='d:\ses\E5.sav'. 
COMPUTE quint_e=99.
save outfile='d:\ses\e5.sav'.

GET file='d:\ses\E6.sav'. 
COMPUTE region=99.
save outfile='d:\ses\e6.sav'.

GET file='d:\ses\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='d:\ses\e8.sav'.

ADD FILES   FILE='d:\ses\e2.sav'
           /FILE='d:\ses\e5.sav'
           /FILE='d:\ses\e6.sav'
           /FILE=*
           / BY provincequint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS province 1 'Bangkok' 2 'Nakhon Pathom' 3 'Nonthaburi' 4 'Pathum Thani' 5 'Samut Prakan' 6 'Samut Sakhon' 7 'Chai Nat' 8  'P.N.S.Ayutthaya'
9 'Lop Buri' 10 'Saraburi' 11 'Sing Buri' 12  'Ang Thong' 13 'Chantha Buri' 14 'Cha Choeng Sao' 15 'Chon Buri' 16 'Trat' 17 'Nakhon Nayok'
18 'Prachin Buri'19 'Rayong'  20 'Sa Kaew' 21 'Ratcha Buri' 22 'Kanchana Buri' 23 'Suphan Buri'  24 'Samut Songkhram' 25 'Phetcha Buri'  
26 'Prachuab Khiri Khan' 27 'Nakhon Ratchsima'  28 'Buri Ram' 29 'Surin' 30 'Si Sa Ket' 31 'Ubon Ratchathani' 32 'Yasothon' 33 'Chaiyaphum'35 'Nongbua Lumphoo' 36 'Khon Kaen' 37 'Udon Thani' 38 'Loei' 39 'Nong Khai' 40 'Maha Sarakham'  
43 'Sakon Nakhon' 42 'Kalasin'  34 'Umnad Chareun' 44 'Nakhon Phanom' 45 'Mukdahan'
41 'Roi et'   55 'Nakhon Sawan'  56 'Uthai Thani' 59 'Sukhothai' 57 'Kamphaeng Phet'
58 'Tak' 60 'Phitsanulok' 61 'Phichit' 62 'Phetchabun' 49 'Uttaradit' 50 'Phrae' 51 'Nan' 48 'Lampang' 52 'Phayao'
46 'Chiangmai' 54 'Mae Hong Son'  47 'Lamphun' 53 'Chiangrai' 63 'Nakhon Si Thammaraj' 67 'Surat Thani'
66 'Phu-ket' 65 'Phang Nga' 64 'Krabi'  69 'Chumphon' 68 'Ranong' 70 'Song Khla' 73 'Phatthalung' 72 'Trang'
71 'Satun'  75 'Yala'  74 'Pattani' 76 'Narathivas' 99 'Total'.


USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES province> pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - HIGHER SECONDARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES province> pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - HIGHER SECONDARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES province> t BY quint_e > (STATISTICS)
  /TITLE = 'GER - HIGHER SECONDARY - TOTAL'
  /STATISTICS mean((f8.1)).

***********************.
*********************.
* SECONDARY level.
**********************.
**********************.
GET file='d:\ses\EDUC.sav'.
weight by a34.
IF (b04 >= 12 and b04 <= 17)  age1 = 1.
IF (b04 < 12 or b04 > 17)  age1 = 0.

AGGREGATE OUTFILE='d:\ses\e2.SAV' /BREAK=provincequint_e    
                   /pub = SUM(sec_pub) /priv = SUM(sec_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e5.SAV' /BREAK=province            
                   /pub = SUM(sec_pub) /priv = SUM(sec_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(sec_pub) /priv = SUM(sec_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e8.SAV' /BREAK=TOTO
                   /pub = SUM(sec_pub) /priv = SUM(sec_priv) /total = SUM(age1).  

GET file='d:\ses\E5.sav'. 
COMPUTE quint_e=99.
save outfile='d:\ses\e5.sav'.

GET file='d:\ses\E6.sav'. 
COMPUTE region=99.
save outfile='d:\ses\e6.sav'.

GET file='d:\ses\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='d:\ses\e8.sav'.

ADD FILES   FILE='d:\ses\e2.sav'
           /FILE='d:\ses\e5.sav'
           /FILE='d:\ses\e6.sav'
           /FILE=*
           / BY provincequint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS province1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES province> pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - SECONDARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES province> pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - SECONDARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES province> t BY quint_e > (STATISTICS)
  /TITLE = 'GER - SECONDARY - TOTAL'
  /STATISTICS mean((f8.1)).



**********************.
* VOCATIONAL level.
**********************.
GET file='d:\ses\EDUC.sav'.
weight by a34.
IF (b04 >= 15 and b04 <= 17)  age1 = 1.
IF (b04 < 15 or b04 > 17)  age1 = 0.

AGGREGATE OUTFILE='d:\ses\e2.SAV' /BREAK=provincequint_e    
                   /pub = SUM(voc_pub) /priv = SUM(voc_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e5.SAV' /BREAK=province            
                   /pub = SUM(voc_pub) /priv = SUM(voc_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(voc_pub) /priv = SUM(voc_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e8.SAV' /BREAK=TOTO
                   /pub = SUM(voc_pub) /priv = SUM(voc_priv) /total = SUM(age1).  

GET file='d:\ses\E5.sav'. 
COMPUTE quint_e=99.
save outfile='d:\ses\e5.sav'.

GET file='d:\ses\E6.sav'. 
COMPUTE region=99.
save outfile='d:\ses\e6.sav'.

GET file='d:\ses\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='d:\ses\e8.sav'.

ADD FILES   FILE='d:\ses\e2.sav'
           /FILE='d:\ses\e5.sav'
           /FILE='d:\ses\e6.sav'
           /FILE=*
           / BY provincequint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS province 1 'Bangkok' 2 'Nakhon Pathom' 3 'Nonthaburi' 4 'Pathum Thani' 5 'Samut Prakan' 6 'Samut Sakhon' 7 'Chai Nat' 8  'P.N.S.Ayutthaya'
9 'Lop Buri' 10 'Saraburi' 11 'Sing Buri' 12  'Ang Thong' 13 'Chantha Buri' 14 'Cha Choeng Sao' 15 'Chon Buri' 16 'Trat' 17 'Nakhon Nayok'
18 'Prachin Buri'19 'Rayong'  20 'Sa Kaew' 21 'Ratcha Buri' 22 'Kanchana Buri' 23 'Suphan Buri'  24 'Samut Songkhram' 25 'Phetcha Buri'  
26 'Prachuab Khiri Khan' 27 'Nakhon Ratchsima'  28 'Buri Ram' 29 'Surin' 30 'Si Sa Ket' 31 'Ubon Ratchathani' 32 'Yasothon' 33 'Chaiyaphum'35 'Nongbua Lumphoo' 36 'Khon Kaen' 37 'Udon Thani' 38 'Loei' 39 'Nong Khai' 40 'Maha Sarakham'  
43 'Sakon Nakhon' 42 'Kalasin'  34 'Umnad Chareun' 44 'Nakhon Phanom' 45 'Mukdahan'
41 'Roi et'   55 'Nakhon Sawan'  56 'Uthai Thani' 59 'Sukhothai' 57 'Kamphaeng Phet'
58 'Tak' 60 'Phitsanulok' 61 'Phichit' 62 'Phetchabun' 49 'Uttaradit' 50 'Phrae' 51 'Nan' 48 'Lampang' 52 'Phayao'
46 'Chiangmai' 54 'Mae Hong Son'  47 'Lamphun' 53 'Chiangrai' 63 'Nakhon Si Thammaraj' 67 'Surat Thani'
66 'Phu-ket' 65 'Phang Nga' 64 'Krabi'  69 'Chumphon' 68 'Ranong' 70 'Song Khla' 73 'Phatthalung' 72 'Trang'
71 'Satun'  75 'Yala'  74 'Pattani' 76 'Narathivas' 99 'Total'.


USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES province> pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - VOCATIONAL - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES province> pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - VOCATIONAL - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES province> t BY quint_e > (STATISTICS)
  /TITLE = 'GER - VOCATIONAL - TOTAL'
  /STATISTICS mean((f8.1)).


**********************.
* TERTIARY level.
**********************.
GET file='d:\ses\EDUC.sav'.
weight by a34.
IF (b04 >= 18 and b04 <= 21)  age1 = 1.
IF (b04 < 18 or b04 > 21)  age1 = 0.

AGGREGATE OUTFILE='d:\ses\e2.SAV' /BREAK=province quint_e    
                   /pub = SUM(ter_pub) /priv = SUM(ter_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e5.SAV' /BREAK=province            
                   /pub = SUM(ter_pub) /priv = SUM(ter_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(ter_pub) /priv = SUM(ter_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='d:\ses\e8.SAV' /BREAK=TOTO
                   /pub = SUM(ter_pub) /priv = SUM(ter_priv) /total = SUM(age1).  

GET file='d:\ses\E5.sav'. 
COMPUTE quint_e=99.
save outfile='d:\ses\e5.sav'.

GET file='d:\ses\E6.sav'. 
COMPUTE province=99.
save outfile='d:\ses\e6.sav'.

GET file='d:\ses\E8.sav'. 
COMPUTE province=99.
COMPUTE quint_e=99.
save outfile='d:\ses\e8.sav'.

ADD FILES   FILE='d:\ses\e2.sav'
           /FILE='d:\ses\e5.sav'
           /FILE='d:\ses\e6.sav'
           /FILE=*
           / BY provinc equint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS province 1 'Bangkok' 2 'Nakhon Pathom' 3 'Nonthaburi' 4 'Pathum Thani' 5 'Samut Prakan' 6 'Samut Sakhon' 7 'Chai Nat' 8  'P.N.S.Ayutthaya'
9 'Lop Buri' 10 'Saraburi' 11 'Sing Buri' 12  'Ang Thong' 13 'Chantha Buri' 14 'Cha Choeng Sao' 15 'Chon Buri' 16 'Trat' 17 'Nakhon Nayok'
18 'Prachin Buri'19 'Rayong'  20 'Sa Kaew' 21 'Ratcha Buri' 22 'Kanchana Buri' 23 'Suphan Buri'  24 'Samut Songkhram' 25 'Phetcha Buri'  
26 'Prachuab Khiri Khan' 27 'Nakhon Ratchsima'  28 'Buri Ram' 29 'Surin' 30 'Si Sa Ket' 31 'Ubon Ratchathani' 32 'Yasothon' 33 'Chaiyaphum'35 'Nongbua Lumphoo' 36 'Khon Kaen' 37 'Udon Thani' 38 'Loei' 39 'Nong Khai' 40 'Maha Sarakham'  
43 'Sakon Nakhon' 42 'Kalasin'  34 'Umnad Chareun' 44 'Nakhon Phanom' 45 'Mukdahan'
41 'Roi et'   55 'Nakhon Sawan'  56 'Uthai Thani' 59 'Sukhothai' 57 'Kamphaeng Phet'
58 'Tak' 60 'Phitsanulok' 61 'Phichit' 62 'Phetchabun' 49 'Uttaradit' 50 'Phrae' 51 'Nan' 48 'Lampang' 52 'Phayao'
46 'Chiangmai' 54 'Mae Hong Son'  47 'Lamphun' 53 'Chiangrai' 63 'Nakhon Si Thammaraj' 67 'Surat Thani'
66 'Phu-ket' 65 'Phang Nga' 64 'Krabi'  69 'Chumphon' 68 'Ranong' 70 'Song Khla' 73 'Phatthalung' 72 'Trang'
71 'Satun'  75 'Yala'  74 'Pattani' 76 'Narathivas' 99 'Total'.
execute.
USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES province> pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - TERTIARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES province> pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - TERTIARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES province> t BY quint_e > (STATISTICS)
  /TITLE = 'GER - TERTIARY - TOTAL'
  /STATISTICS mean((f8.1)).
