*======================================================*.
*Merging record 1 and 2 by hid and constructing welfare quintile.

Get file='\\bhumisuk\d\ses43n2.sav'.

If any(b04,0,1,2,3) eqsc =0.431.

If (b04 >= 4 and b04 <= 6) eqsc =0.520.

If (b04 >= 7 and b04 <= 9) eqsc =0.574.

If (b03= 1 and b04 >= 10 and b04 <= 12) eqsc =0.664.
If (b03= 2 and b04 >= 10 and b04 <= 12) eqsc =0.610.


If (b03= 1 and b04 >= 13 and b04 <= 15) eqsc =0.825.
If (b03= 2 and b04 >= 13 and b04 <= 15) eqsc =0.718.

If (b03= 1 and b04 >= 16 and b04 <= 19) eqsc =0.861.
If (b03= 2 and b04 >= 16 and b04 <= 19) eqsc =0.664.

If (b03= 1 and b04 >= 20 and b04 <= 29) eqsc =1.
If (b03= 2 and b04 >= 20 and b04 <= 29) eqsc =0.724.

If (b03= 1 and b04 >= 30 and b04 <= 59) eqsc =0.993.
If (b03= 2 and b04 >= 30 and b04 <= 59) eqsc =0.745.

If (b03= 1 and b04 >= 60) eqsc =0.706.
If (b03= 2 and b04 >= 60) eqsc =0.627.
EXECUTE.

AGGREGATE
   OUTFILE='\\bhumisuk\d\eqsc_hid.SAV'
  /BREAK=hid
  /eqsc = SUM(eqsc).  

GET FILE='\\bhumisuk\d\ses43n1.SAV'

MATCH FILES TABLE='\\bhumisuk\d\eqsc_hid.sav'   /FILE=* / BY HID.
EXECUTE.

*****.
*RPI Specification.
*****.

If(id1=1 and id3=2 or id3=3) RPI =0.78.
If(id1=1 and id3=1) RPI =1.	
If(id1=2 and id3=2 or id3=3) RPI =0.78. 
If(id1=2 and id3=1) RPI =0.98.	
If(id1=3 and id3=2 or id3=3) RPI =0.71. 
If(id1=3 and id3=1) RPI =0.91.	
If(id1=4 and id3=2 or id3=3) RPI =0.80. 
If(id1=4 and id3=1) RPI =0.99.	
If(id1=5 and id3=2 or id3=3) RPI =0.77. 
If(id1=5 and id3=1) RPI =1.04.
EXECUTE.	


*****.
*W = Welfare.
*****.

COMPUTE W_EXP = a31/(rpi * eqsc) .

COMPUTE W_INC = a30/(rpi * eqsc) .

COMPUTE W = a34*a01.
EXECUTE .

weight by W.

RANK  VARIABLES=W_INC  (A) /NTILES (10) INTO DECILE_I .
RANK  VARIABLES=W_INC  (A) /NTILES (5)   INTO QUINT_I.

RANK  VARIABLES=W_EXP  (A) /NTILES (10) INTO DECILE_E .
RANK  VARIABLES=W_EXP  (A) /NTILES (5)   INTO QUINT_E.

SAVE OUTFILE ='\\BHUMISUK\D\PROJECT.sav'.

GET FILE='\\bhumisuk\d\ses43n2.SAV'

MATCH FILES TABLE='\\bhumisuk\d\project.sav'   /FILE=* / BY HID.
EXECUTE.

save outfile='\\BHUMISUK\D\rec1N2.sav'.


*=======================================*.
ERASE FILE = '\\bhumisuk\d\eqsc_hid.SAV'. 
*=======================================*. 

