***************************************.
*To Compute Gross Enrollment Rate.
***************************************.

GET file='c:\ses\43\rec1N2.sav'.
weight by a34.
COMPUTE TOTO = 1.

DO IF (b06 =1 &  B07 =10).
COMPUTE  kn_priv = 1 .
ELSE.
COMPUTE kn_priv=0.
END IF.
DO IF (b06 =2 &  B07 =10).
COMPUTE  kn_pub = 1 .
ELSE.
COMPUTE kn_pub=0.
END IF.


DO IF (b06 =1 & B07>10 and B07 <=19).
COMPUTE  pr_priv = 1 .
ELSE.
COMPUTE PR_priv=0.
END IF.
DO IF (b06 =2 & B07>10 and B07 <=19).
 COMPUTE  pr_pub = 1 .
 ELSE. 
 COMPUTE PR_PUB=0.
 END IF.


DO IF (b06 =1 & B07 >=20 & b07<=23).  
COMPUTE  low_priv = 1 . 
 ELSE.  
COMPUTE low_Priv=0. 
 END IF.
DO IF (b06 =2 & B07 >=20 & b07<=23).  
COMPUTE  low_pub = 1 .  
ELSE. 
 COMPUTE low_Pub=0.  
END IF.

DO IF (b06 =1 & B07 >=24 & b07<=29).  
COMPUTE  hi_priv = 1 . 
 ELSE.  
COMPUTE hi_Priv=0. 
 END IF.
DO IF (b06 =2 & B07 >=24 & b07<=29).  
COMPUTE  hi_pub = 1 .  
ELSE. 
 COMPUTE hi_Pub=0.  
END IF.

DO IF (b06 =1 & B07 >=20 & b07<=29).  
COMPUTE  sec_priv = 1 . 
 ELSE.  
COMPUTE sec_Priv=0. 
 END IF.
DO IF (b06 =2 & B07 >=20 & b07<=29).  
COMPUTE  sec_pub = 1 .  
ELSE. 
 COMPUTE sec_Pub=0.  
END IF.


DO IF (b06 =1 & B07 >=31 & b07<=39).  
COMPUTE  ter_priv = 1 . 
 ELSE. 
 COMPUTE ter_Priv=0.  
END IF.

DO IF (b06 =2 & B07 >=31 & b07<=39). 
 COMPUTE  ter_pub = 1 . 
 ELSE. 
 COMPUTE ter_Pub=0. 
 END IF.

DO IF (b06 =1 & B07 >=40 & b07<=90). 
 COMPUTE  voc_priv = 1 . 
 ELSE.  
COMPUTE voc_Priv=0.  
END IF.

DO IF (b06 =2 & B07 >=40 & b07<=90).  
COMPUTE  voc_pub = 1 . 
 ELSE. 
 COMPUTE voc_Pub=0. 
 END IF.

EXECUTE.
save outfile='c:\ses\43\educ.sav'.

**********************.
**********************.
*kindergarten level.
**********************.
**********************.
GET file='c:\ses\43\educ.sav'.
IF (b04 >= 3 and b04 <= 5)  age1 = 1.
IF (b04 < 3 or b04 > 5)  age1 = 0.

AGGREGATE OUTFILE='C:\ses\43\e2.SAV' /BREAK=region quint_e    
                   /pub = SUM(kn_pub) /priv = SUM(kn_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e5.SAV' /BREAK=region             
                   /pub = SUM(kn_pub) /priv = SUM(kn_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(kn_pub) /priv = SUM(kn_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e8.SAV' /BREAK=TOTO
                   /pub = SUM(kn_pub) /priv = SUM(kn_priv) /total = SUM(age1).  

GET file='c:\ses\43\E5.sav'. 
COMPUTE quint_e=99.
save outfile='C:\ses\43\e5.sav'.

GET file='c:\ses\43\E6.sav'. 
COMPUTE region=99.
save outfile='C:\ses\43\e6.sav'.

GET file='c:\ses\43\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='C:\ses\43\e8.sav'.

ADD FILES   FILE='C:\SES\43\e2.sav'
           /FILE='C:\SES\43\e5.sav'
           /FILE='C:\SES\43\e6.sav'
           /FILE=*
           / BY region quint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES region > pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - KINDERGARDEN - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES region > pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - KINDERGARDEN - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES region > t BY quint_e > (STATISTICS)
  /TITLE = 'GER - KINDERGARDEN - TOTAL'
  /STATISTICS mean((f8.1)).


**********************.
**********************.
* PRIMARY level.
**********************.
**********************.
GET file='c:\ses\43\EDUC.sav'.
weight by a34.
IF (b04 >= 6 and b04 <= 11)  age1 = 1.
IF (b04 < 6 or b04 > 11)  age1 = 0.

AGGREGATE OUTFILE='C:\ses\43\e2.SAV' /BREAK=region quint_e    
                   /pub = SUM(pr_pub) /priv = SUM(pr_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e5.SAV' /BREAK=region             
                   /pub = SUM(pr_pub) /priv = SUM(pr_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(pr_pub) /priv = SUM(pr_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e8.SAV' /BREAK=TOTO
                   /pub = SUM(pr_pub) /priv = SUM(pr_priv) /total = SUM(age1).  

GET file='c:\ses\43\E5.sav'. 
COMPUTE quint_e=99.
save outfile='C:\ses\43\e5.sav'.

GET file='c:\ses\43\E6.sav'. 
COMPUTE region=99.
save outfile='C:\ses\43\e6.sav'.

GET file='c:\ses\43\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='C:\ses\43\e8.sav'.

ADD FILES   FILE='C:\SES\43\e2.sav'
           /FILE='C:\SES\43\e5.sav'
           /FILE='C:\SES\43\e6.sav'
           /FILE=*
           / BY region quint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES region > pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - PRIMARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES region > pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - PRIMARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES region > t BY quint_e > (STATISTICS)
  /TITLE = 'GER - PRIMARY - TOTAL'
  /STATISTICS mean((f8.1)).

  

***********************.
*********************.
* LOWER SECONDARY level.
**********************.
**********************.
GET file='c:\ses\43\EDUC.sav'.
weight by a34.
IF (b04 >= 12 and b04 <= 14)  age1 = 1.
IF (b04 < 12 or b04 > 14)  age1 = 0.

AGGREGATE OUTFILE='C:\ses\43\e2.SAV' /BREAK=region quint_e    
                   /pub = SUM(low_pub) /priv = SUM(low_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e5.SAV' /BREAK=region             
                   /pub = SUM(low_pub) /priv = SUM(low_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(low_pub) /priv = SUM(low_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e8.SAV' /BREAK=TOTO
                   /pub = SUM(low_pub) /priv = SUM(low_priv) /total = SUM(age1).  

GET file='c:\ses\43\E5.sav'. 
COMPUTE quint_e=99.
save outfile='C:\ses\43\e5.sav'.

GET file='c:\ses\43\E6.sav'. 
COMPUTE region=99.
save outfile='C:\ses\43\e6.sav'.

GET file='c:\ses\43\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='C:\ses\43\e8.sav'.

ADD FILES   FILE='C:\SES\43\e2.sav'
           /FILE='C:\SES\43\e5.sav'
           /FILE='C:\SES\43\e6.sav'
           /FILE=*
           / BY region quint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES region > pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - LOWER SECONDARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES region > pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - LOWER SECONDARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES region > t BY quint_e > (STATISTICS)
  /TITLE = 'GER - LOWER SECONDARY - TOTAL'
  /STATISTICS mean((f8.1)).


***********************.
*********************.
* HIGHER SECONDARY level.
**********************.
**********************.
GET file='c:\ses\43\EDUC.sav'.
weight by a34.
IF (b04 >= 15 and b04 <= 17)  age1 = 1.
IF (b04 < 15 or b04 > 17)  age1 = 0.

AGGREGATE OUTFILE='C:\ses\43\e2.SAV' /BREAK=region quint_e    
                   /pub = SUM(hi_pub) /priv = SUM(hi_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e5.SAV' /BREAK=region             
                   /pub = SUM(hi_pub) /priv = SUM(hi_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(hi_pub) /priv = SUM(hi_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e8.SAV' /BREAK=TOTO
                   /pub = SUM(hi_pub) /priv = SUM(hi_priv) /total = SUM(age1).  

GET file='c:\ses\43\E5.sav'. 
COMPUTE quint_e=99.
save outfile='C:\ses\43\e5.sav'.

GET file='c:\ses\43\E6.sav'. 
COMPUTE region=99.
save outfile='C:\ses\43\e6.sav'.

GET file='c:\ses\43\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='C:\ses\43\e8.sav'.

ADD FILES   FILE='C:\SES\43\e2.sav'
           /FILE='C:\SES\43\e5.sav'
           /FILE='C:\SES\43\e6.sav'
           /FILE=*
           / BY region quint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES region > pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - HIGHER SECONDARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES region > pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - HIGHER SECONDARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES region > t BY quint_e > (STATISTICS)
  /TITLE = 'GER - HIGHER SECONDARY - TOTAL'
  /STATISTICS mean((f8.1)).

***********************.
*********************.
* SECONDARY level.
**********************.
**********************.
GET file='c:\ses\43\EDUC.sav'.
weight by a34.
IF (b04 >= 12 and b04 <= 17)  age1 = 1.
IF (b04 < 12 or b04 > 17)  age1 = 0.

AGGREGATE OUTFILE='C:\ses\43\e2.SAV' /BREAK=region quint_e    
                   /pub = SUM(sec_pub) /priv = SUM(sec_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e5.SAV' /BREAK=region             
                   /pub = SUM(sec_pub) /priv = SUM(sec_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(sec_pub) /priv = SUM(sec_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e8.SAV' /BREAK=TOTO
                   /pub = SUM(sec_pub) /priv = SUM(sec_priv) /total = SUM(age1).  

GET file='c:\ses\43\E5.sav'. 
COMPUTE quint_e=99.
save outfile='C:\ses\43\e5.sav'.

GET file='c:\ses\43\E6.sav'. 
COMPUTE region=99.
save outfile='C:\ses\43\e6.sav'.

GET file='c:\ses\43\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='C:\ses\43\e8.sav'.

ADD FILES   FILE='C:\SES\43\e2.sav'
           /FILE='C:\SES\43\e5.sav'
           /FILE='C:\SES\43\e6.sav'
           /FILE=*
           / BY region quint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES region > pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - SECONDARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES region > pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - SECONDARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES region > t BY quint_e > (STATISTICS)
  /TITLE = 'GER - SECONDARY - TOTAL'
  /STATISTICS mean((f8.1)).



**********************.
* VOCATIONAL level.
**********************.
GET file='c:\ses\43\EDUC.sav'.
weight by a34.
IF (b04 >= 15 and b04 <= 17)  age1 = 1.
IF (b04 < 15 or b04 > 17)  age1 = 0.

AGGREGATE OUTFILE='C:\ses\43\e2.SAV' /BREAK=region quint_e    
                   /pub = SUM(voc_pub) /priv = SUM(voc_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e5.SAV' /BREAK=region             
                   /pub = SUM(voc_pub) /priv = SUM(voc_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(voc_pub) /priv = SUM(voc_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e8.SAV' /BREAK=TOTO
                   /pub = SUM(voc_pub) /priv = SUM(voc_priv) /total = SUM(age1).  

GET file='c:\ses\43\E5.sav'. 
COMPUTE quint_e=99.
save outfile='C:\ses\43\e5.sav'.

GET file='c:\ses\43\E6.sav'. 
COMPUTE region=99.
save outfile='C:\ses\43\e6.sav'.

GET file='c:\ses\43\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='C:\ses\43\e8.sav'.

ADD FILES   FILE='C:\SES\43\e2.sav'
           /FILE='C:\SES\43\e5.sav'
           /FILE='C:\SES\43\e6.sav'
           /FILE=*
           / BY region quint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES region > pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - VOCATIONAL - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES region > pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - VOCATIONAL - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES region > t BY quint_e > (STATISTICS)
  /TITLE = 'GER - VOCATIONAL - TOTAL'
  /STATISTICS mean((f8.1)).


**********************.
* TERTIARY level.
**********************.
GET file='c:\ses\43\EDUC.sav'.
weight by a34.
IF (b04 >= 18 and b04 <= 21)  age1 = 1.
IF (b04 < 18 or b04 > 21)  age1 = 0.

AGGREGATE OUTFILE='C:\ses\43\e2.SAV' /BREAK=region quint_e    
                   /pub = SUM(ter_pub) /priv = SUM(ter_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e5.SAV' /BREAK=region             
                   /pub = SUM(ter_pub) /priv = SUM(ter_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e6.SAV' /BREAK=       quint_e     
                   /pub = SUM(ter_pub) /priv = SUM(ter_priv) /total = SUM(age1).  
AGGREGATE OUTFILE='C:\ses\43\e8.SAV' /BREAK=TOTO
                   /pub = SUM(ter_pub) /priv = SUM(ter_priv) /total = SUM(age1).  

GET file='c:\ses\43\E5.sav'. 
COMPUTE quint_e=99.
save outfile='C:\ses\43\e5.sav'.

GET file='c:\ses\43\E6.sav'. 
COMPUTE region=99.
save outfile='C:\ses\43\e6.sav'.

GET file='c:\ses\43\E8.sav'. 
COMPUTE region=99.
COMPUTE quint_e=99.
save outfile='C:\ses\43\e8.sav'.

ADD FILES   FILE='C:\SES\43\e2.sav'
           /FILE='C:\SES\43\e5.sav'
           /FILE='C:\SES\43\e6.sav'
           /FILE=*
           / BY region quint_e.
EXECUTE.

COMPUTE  PU = (pub/total)*100.
COMPUTE  PR = (priv/total)*100.
COMPUTE  T = ((pub+priv)/total)*100.
VALUE LABELS QUINT_E  1 'Poorest' 2'Second' 3 'Third' 4 'Fourth' 5 'Richest' 99 'Total'.
VALUE LABELS region 1 'Bangkok Vicinity' 2 'Central' 3 'East' 4 'West' 
                    5 'Northeast' 6 'North' 7 'South' 99 'Total'.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pu
  /TABLES region > pu BY quint_e > (STATISTICS)
  /TITLE = 'GER - TERTIARY - PUBLIC'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr
  /TABLES region > pr BY quint_e > (STATISTICS)
  /TITLE = 'GER - TERTIARY - PRIVATE'
  /STATISTICS mean((f8.1)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION t
  /TABLES region > t BY quint_e > (STATISTICS)
  /TITLE = 'GER - TERTIARY - TOTAL'
  /STATISTICS mean((f8.1)).



*****************************************************.
** tables to get the number of unweighted students **.
*****************************************************.

GET file='c:\ses\43\educ.sav'.
weight off.

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION kn_pub
  /TABLES region > kn_pub BY quint_e > (STATISTICS)
  /TITLE = 'GER - KN - PUB'
  /STATISTICS sum((f8.0)).
USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION kn_priv
  /TABLES region > kn_priv BY quint_e > (STATISTICS)
  /TITLE = 'GER - KN - PRIV'
  /STATISTICS sum((f8.0)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_pub
  /TABLES region > pr_pub BY quint_e > (STATISTICS)
  /TITLE = 'GER - PR - PUB'
  /STATISTICS sum((f8.0)).
USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION pr_priv
  /TABLES region > pr_priv BY quint_e > (STATISTICS)
  /TITLE = 'GER - PR - PRIV'
  /STATISTICS sum((f8.0)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION LOW_pub
  /TABLES region > LOW_pub BY quint_e > (STATISTICS)
  /TITLE = 'GER - LOW - PUB'
  /STATISTICS sum((f8.0)).
USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION LOW_priv
  /TABLES region > LOW_priv BY quint_e > (STATISTICS)
  /TITLE = 'GER - LOW - PRIV'
  /STATISTICS sum((f8.0)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION HI_pub
  /TABLES region > HI_pub BY quint_e > (STATISTICS)
  /TITLE = 'GER - HI - PUB'
  /STATISTICS sum((f8.0)).
USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION HI_priv
  /TABLES region > HI_priv BY quint_e > (STATISTICS)
  /TITLE = 'GER - HI - PRIV'
  /STATISTICS sum((f8.0)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION SEC_pub
  /TABLES region > SEC_pub BY quint_e > (STATISTICS)
  /TITLE = 'GER - SEC - PUB'
  /STATISTICS sum((f8.0)).
USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION SEC_priv
  /TABLES region > SEC_priv BY quint_e > (STATISTICS)
  /TITLE = 'GER - SEC - PRIV'
  /STATISTICS sum((f8.0)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION VOC_pub
  /TABLES region > VOC_pub BY quint_e > (STATISTICS)
  /TITLE = 'GER - VOC - PUB'
  /STATISTICS sum((f8.0)).
USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION VOC_priv
  /TABLES region > VOC_priv BY quint_e > (STATISTICS)
  /TITLE = 'GER - VOC - PRIV'
  /STATISTICS sum((f8.0)).

USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION TER_pub
  /TABLES region > TER_pub BY quint_e > (STATISTICS)
  /TITLE = 'GER - TER - PUB'
  /STATISTICS sum((f8.0)).
USE ALL.
TEMPORARY.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION TER_priv
  /TABLES region > TER_priv BY quint_e > (STATISTICS)
  /TITLE = 'GER - TER - PRIV'
  /STATISTICS sum((f8.0)).




ERASE FILE = 'c:\ses\43\e1.sav'. 
ERASE FILE = 'c:\ses\43\e2.sav'. 
ERASE FILE = 'c:\ses\43\e3.sav'. 
ERASE FILE = 'c:\ses\43\e4.sav'. 
ERASE FILE = 'c:\ses\43\e5.sav'. 
ERASE FILE = 'c:\ses\43\e6.sav'. 
ERASE FILE = 'c:\ses\43\e7.sav'. 
ERASE FILE = 'c:\ses\43\e8.sav'. 


